Subject: [bug#36477] [PATCH 02/31] gnu: python: Fix cross compilation.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 15 Jul 2019 22:20:23 +0200

Hello,

Mathieu Othacehe <[email-masked]> skribis:

> * gnu/packages/python.scm (python-2.7)[arguments]: Add a configure flag to
> disable a check failing when cross-compiling. This is covered here:
> https://lists.yoctoproject.org/pipermail/poky/2013-June/008997.html,
> [native-inputs]: Add self and which when cross-compiling,
> (python-3.7)[arguments]: Refer to native python when cross-compiling.

LGTM!

If you notice that it doesn’t entail a rebuild of Python 2 or 3, you can
apply it to ‘master’.  Otherwise let’s discuss it (‘core-updates’ is now
frozen.)

Thanks,
Ludo’.